
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>js中利用JSONP解决跨域问题 / iVAN</title>

    <meta name="description" content="js中利用JSONP解决跨域问题 什么是跨域? 简单的来说,出于安全方面的考虑,javascript不能访问其他服务器上的内容,即&quot;同源策略&quot;(参考1,参考2).跨域就是通过某种手段绕过同源策略去访问不同服务器上的内容.只要域名.端口.协议任何一个不同,就是不同的域.协议或端口不同只能通过后端来解决. URL 说明 是否允许通信 http://www.a.com/a.js http://www.a.com/b.js 同一域名下 允许 http://www.a.com/lab/a.js http://www.a ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">js中利用JSONP解决跨域问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>什么是跨域？</p>
<p>简单的来说，出于安全方面的考虑，javascript不能访问其他服务器上的内容，即“同源策略”(参考1，参考2)。跨域就是通过某种手段绕过同源策略去访问不同服务器上的内容。只要域名、端口、协议任何一个不同，就是不同的域。协议或端口不同只能通过后端来解决。</p>
<p>URL 说明 是否允许通信<br />
http://www.a.com/a.js<br />
http://www.a.com/b.js 同一域名下 允许<br />
http://www.a.com/lab/a.js<br />
http://www.a.com/script/b.js 同一域名下不同文件夹 允许<br />
http://www.a.com:8000/a.js<br />
http://www.a.com/b.js 同一域名，不同端口 不允许<br />
http://www.a.com/a.js<br />
https://www.a.com/b.js 同一域名，不同协议 不允许<br />
http://www.a.com/a.js<br />
http://70.32.92.74/b.js 域名和域名对应ip 不允许<br />
http://www.a.com/a.js<br />
http://script.a.com/b.js 主域相同，子域不同 不允许<br />
http://www.a.com/a.js<br />
http://a.com/b.js 同一域名，不同二级域名（同上） 不允许（cookie这种情况下也不允许访问）<br />
http://www.cnblogs.com/a.js<br />
http://www.a.com/b.js 不同域名 不允许<br />
解决跨域问题的方案有很多，最流行的就是jsonp了，但是jsonp只能解决域名不同造成的跨域，端口、协议不同的跨域可以通过后端方案解决。下面分析下各种解决方案吧。</p>
<p>JSONP</p>
<p>JSON(Javascript Object Notation)是一种轻量级数据格式，JSONP（Json for padding）是JSON 的一种“使用模式”，可以让网页从别的网域要资料。<br />
JSONP也叫填充式JSON，是应用JSON的一种新方法，只不过是被包含在函数调用中的JSON，例如：</p>
<p>callback({a:’b’});<br />
JSONP由两部分组成：回调函数和数据。回调函数是当响应到来时应该在页面中调用的函数，而数据就是传入回调函数中的JSON数据。</p>
<p>JSONP跨域原理</p>
<p>在同源策略下，在某个服务器下的页面是无法获取到该服务器以外的数据的，当我们正常地请求一个JSON数据的时候，服务端返回的是一串JSON类型的数据，而我们使用JSONP模式来请求数据的时候，服务端返回的是一段可执行的JavaScript代码。</p>
<p>img、iframe、script等标签是个例外，这些标签可以通过src属性请求到其他服务器上的数据。利用script标签的开放策略，我们可以实现跨域请求数据，当然，也需要服务端的配合。</p>
<p>在jQuery中使用JSONP获取跨域数据</p>
<p>jQuery代码</p>
<p>$(document).ready(function(){<br />
    $.ajax({<br />
    url : 'http://b.test:8080/jsonp.php',<br />
    type : 'post',<br />
    dataType : 'jsonp',<br />
    jsonpCallback: 'hehe',<br />
    success : function (data) {<br />
        alert(data.a);<br />
    },<br />
    error : function(data) {}<br />
    });<br />
});<br />
PHP代码</p>
<p>&lt;?php<br />
$jsondata = json_encode(array(‘a’ =&amp;gt; ‘b’));<br />
$callback = $_REQUEST[‘callback’];<br />
echo “(function(){var _jsonData=$jsondata; $callback(_jsonData);})()”;</p>
<p>1、url 中不用指定 callback 参数。对于 jQuery 中的 jsonp 来说，callback 参数是自动添加的<br />
2、默认情况下，jQuery 生成的 jsonp 请求中 callback 参数是形如 callback=jQuery180099599698651582_1393992892572 这种根据看似随机的名字，对应的就是 success 那个处理函数，所以一般不用特意处理。<br />
3、如果响应内容中是写死了 callback 名的话，那么可以对 jQuery 的 jsonp 指定 callback 名。</p>
<p>JSONP的应用</p>
<p>JSONP在开放API中可以起到非常重要的作用，开放API一般是运用于开发者的应用上，而这些应用往往是在开发者的服务器上而并非在新浪微博的服务器上，因此跨域请求数据成为前端开发者们所需要解决的一大问题，广大开放平台应该实现对JSONP的支持，这一点新浪微博开放平台便做的非常好（虽然某些API里没有说明，但实际上是可以使用JSONP方式调用的）。</p>
<p>JSONP的优缺点</p>
<p>优点：<br />
1、相比XMLHttpRequest不受同源策略的限制；<br />
2、支持古老的浏览器。</p>
<p>缺点：<br />
1、它只支持GET请求而不支持POST等其它类型的HTTP请求；<br />
2、它只支持跨域HTTP请求这种情况，不能解决不同域的两个页面之间如何进行JavaScript调用的问题。<br />
参考1:http://www.clanfei.com/2012/08/1637.html<br />
参考2:https://segmentfault.com/q/1010000000424040</p>
<p>CORS(Cross-Origin-Resource-Shares)跨域资源共享</p>
<p>解决跨域问题，也可以在后端服务器直接设置header内容Access-Contrl-Allow-Origin，</p>
<p>PHP代码可以这样写：</p>
<p>&lt;?php<br />
header('Access-Control-Allow-Origin: '.$_SERVER['HTTP_ORIGIN']);<br />
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');<br />
header('Access-Control-Max-Age: 1000');<br />
header('Access-Control-Allow-Headers: Content-Type');</p>
<p>Apache配置方法:</p>
<p>Header set Access-Control-Allow-Origin *  <br />
以上配置的含义是允许所有的域发起的请求都可以获取该服务器上的资源，当然这样的配置有很大的安全问题，很容易遭受XSS（跨站脚本攻击）。可以只允许某个域访问我们的服务器，如下设置：</p>
<p>Header set Access-Control-Allow-Origin http://www.111cn.net/<br />
对于通配符*，它可以直接Access-Control-Allow-Origin:*这样使用，但它是不允许通配子域名的，如：Access-Control-Allow-Origin:*.111cn.net。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:47:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%ab%af%e5%8f%a3/" title="端口">端口</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/jsonp/" title="jsonp">jsonp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>js中利用JSONP解决跨域问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlJkmM.html" rel="bookmark">使用Jsonp解决跨域数据访问问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 符合Web2.0特征的众多网站一个明显的特点就是采用Ajax.Ajax提供了在后台提交请求访问数据的功能.其实现主要使用的是XMLHttpRequest函数,这个函数允许客户端的Javascript 发送到服务器端的HTTP请求并获得返回数据.Ajax同时也是目前众多的Mashup背后的驱动力量,他们都利用Ajax来聚合不同来源的信息. 理解同源策略的限制 同源策略是指阻止代码获得或者更改从另一个域名下获得的文件或者信息.也就是说我们的请求地址必须和当前网站的地指相同.同源策略通过隔离来实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8gloM.html" rel="bookmark">利用JSONP实现跨域请求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:有时候一忙起来就没了时间观念,原来我已经有十多天没写博客了.一直想做跨域方面的尝试,无奈最近准备校招没时间动动手.今天就先讲讲JSONP吧,昨晚还在研究QQ空间日志里面网络图片的问题呢,我发现日志还提供了HTML模式,我们可以利用img标签的src属性实现跨域请求,从自己的服务器里提取动态内容. JSONP 在讲实现之前,我们先来看看何为JSONP.以下是维基百科的解释: JSONP or &quot;JSON with padding&quot; is a communication techni			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oOr7b.html" rel="bookmark">js前端解决跨域问题的8种方案（最新最全）&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.同源策略如下: URL 说明 是否允许通信 http://www.a.com/a.jshttp://www.a.com/b.js 同一域名下 允许 http://www.a.com/lab/a.jshttp://www.a.com/script/b.js 同一域名下不同文件夹 允许 http://www.a.com:8000/a.js http://www.a.com/b.js 同一域名,不同端口 不允许 http://www.a.com/a.js https://www.a.com/b.j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRvo4b.html" rel="bookmark">使用jsonp完成跨域请求，但是请求的链接是js文件，请求总是那个js报错，怎莫办？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用jsonp完成跨域请求,但是请求的链接是js文件,请求总是那个js报错,怎莫办? 把链接换成php就没问题. $.ajax({ type:'GET', async:false, url:&quot;http://app.veishu.com/jsonp/categories/all.js&quot;, dataType:&quot;jsonp&quot;, success:function(data){ alert(&quot;success&quot;); // alert(data[0]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBExnz.html" rel="bookmark">node js-php应用80端口，使用node&period;js通过8888端口实现即时推送，怎么解决跨域问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 php应用80端口,使用node.js通过8888端口实现即时推送,怎么解决跨域问题? 项目背景是一个php应用.为了加入即时推送功能,使用node.js写了8888端口用于推送即时消息,并使用socket.io进行数据传输. 如何解决80端口应用页面跨域与8888端口建立socket连接问题?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YNg6p.html" rel="bookmark">java中使用Cookie替代Session解决跨域Session失效问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分布式系统中,各个子域名跨域访问的时候,会出现session失效问题,导致登录失败. 例如:用户在www.111cn.net 上登录成功了.但是切换到他的个性化域名 mb.111cn.net 上的时候session失效. 怎么办? 可以采用session复制方案,比如nfs session共享,membercache session存储,还有使用terracotta也可以. 采取以上方案都可以,但是上述方案会导致开发环境过于复杂,运维环境也过于复杂,而且session跨网络传输响应速度会减慢.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8QvOb.html" rel="bookmark">AngularJs解决跨域问题案例详解&lpar;简单方法&rpar;&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们做点准备说明,不然你明白我说的是啥意思别人不明白,就算别人明白了那总有人不明白,那你要说了,我的意思是这个说明必须要做了,答案是必须的,为了更好的方便大家理解嘛. 我们以两个主域名或者一个主域名+一个二级域名为例,均可演示跨域问题. 客户端 a.com 服务端 b.com或者s.a.com angularJs版本 V1.2.25 准备工作做得很充分嘛,就差把我们的编辑器是subline暴露出来了,这个一般人我是不告诉他滴. 有人嚷嚷了,这问题老早就有了,你现在提出来有啥意义呢?难不成你还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgPXwb.html" rel="bookmark">纯前端解决跨域问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 跨域是由浏览器的同源策略引起的,是指页面请求的url地址,必须与浏览器上的url地址处于同域上(即域名,端口,协议相同). 这是为了防止某域名下的接口被其他域名下的网页非法调用,是浏览器对JavaScript施加的安全限制. 这个措施的出发点是好的,但是程序页面开发的过程中,却常常给前端开发者带来麻烦. 由于前端开发过程中,静态资源是放在本地电脑上的,访问这些资源通常通过IP方式(127.0.0.1)或者localhosts来访问,与线上服务器所在域名不符,不能顺利调用服务的端口. 解决跨			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgmv0M.html" rel="bookmark">一步一步学习SignalR进行实时通信&lowbar;3&lowbar;通过CORS解决跨域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:一步一步学习SignalR进行实时通信_3_通过CORS解决跨域 一步一步学习SignalR进行实时通信\_3_通过CORS解决跨域 SignalR 一步一步学习SignalR进行实时通信_3_通过CORS解决跨域 前言 关于start()的补充 跨域解决方案 JSONP CORS CORS跨域演示 结束语 参考文献 前言 这周工作比较忙,一直没有时间学习SignalR,大致希望一周能写一篇关于SignalR的文章.上一篇用Persistent Connections方式实现了个简单的在线			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOnR5p.html" rel="bookmark" class="title">Swift基础－－使用TableViewController自定义列表</a>
					<div>
						首先建立一个swift项目,把storyboard的内容删掉,添加一个Navigation Controller,然后设置storyboard对应界面的class,在Navigation Contro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8JaBb.html" rel="bookmark" class="title">扩展Eclipse辅助和规范开发流程</a>
					<div>
						规范 如果市场上的开发工具不能满足您的需要,而自己开发 IDE 又不太现实,那本文就是您所需要的,它介绍了如何扩展 eclipse JDT 来辅助规范你的项目开发流程和帮助约束你的代码规范. 一.前言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR4lqz.html" rel="bookmark" class="title">Servlets，JSP和Servlet Engines入门</a>
					<div>
						js|servlet 什么是Servlets? Servlets是Java专注于CGI开发的一种技术.运行在Server端,并产生动态的结果.为什么要使用Servlets来代替传统的CGI程序呢? 效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY3rBz.html" rel="bookmark" class="title">视觉设计工作如何保证更高效？</a>
					<div>
						网页制作Webjx文章简介:视觉设计怎样才能做到高效? 要让设计的目标能更有效的指导设计工作,我们还需要再做些什么-进一步规范&quot;更好的&quot;各项具体要求.更高效的是基本要求,是需要首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNNOrb.html" rel="bookmark" class="title">javaBean入门（2） javaBean与表单应用</a>
					<div>
						对于javaBean,我们说就是一个*.java文件.对于javaBean的应用必须结合表单才能体现.我们来以一个实例学习javaBean的应用. biaodan.html &lt;html&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7BZ7b.html" rel="bookmark" class="title">Nginx的https加密以及nginx日志配置与管理</a>
					<div>
						使用Nginx的优点 Nginx作为WEB服务器,Nginx处理静态文件.索引文件.自动索引的效率非常高. Nginx作为代理服务器,Nginx可以实现无缓存的反向代理,提高网站的性能 Nginx作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAXn6b.html" rel="bookmark" class="title">文字江湖-看郭靖靠WPS绝技终得美人心</a>
					<div>
						话说武林学院的学生终于拿到毕业证,顺利从武林学院毕业.毕业后不管有多舍不得,他们都不得不互相道别,各自踏上不同的江湖路走进江湖职场.段誉和郭靖进入了同一家国际性的大公司,高富帅的段誉靠着老爸的关系轻松 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91v0oM.html" rel="bookmark" class="title">MyEclipse详解及MyEclipse7&period;5的优化</a>
					<div>
						MyEclipse企业级工作平台(MyEclipse Enterprise Workbench ,简称MyEclipse)是对Eclipse IDE的扩展,利用它我们可以在数据库和J2EE的开发.发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPnQwz.html" rel="bookmark" class="title">Word2007简单三步让剪贴画文字环绕顶点</a>
					<div>
						默认情况,Word2007提供了多种剪贴画文字环绕方式,如&quot;四周型环绕&quot;.&quot;紧密型环绕&quot;.&quot;上下型环绕&quot;和&quot;穿越型环绕&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLdBab.html" rel="bookmark" class="title">XP系统启动到桌面后突然黑屏几秒之后才恢复怎么办</a>
					<div>
						  XP系统启动到桌面后突然黑屏几秒之后才恢复怎么办 1.点击&quot;开始--运行&quot;,输入&quot;regedit&quot;命令按确定,打开注册表编辑器. 2.在注册表编辑器中依次点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn1R4z.html" rel="bookmark" class="title">那些令人爱不释手的加载动效设计</a>
					<div>
						  等待和加载动效几乎是无处不在了.设计师和设计机构都很清楚,加载动效几乎是目前网站和APP设计中无法绕过且必须的组成部分,它们不仅是大势所趋而且是打造优秀用户体验 的必须组件. 虽然目前很多产品将加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjkw6p.html" rel="bookmark" class="title">浏览器如何使网页收藏时只显示图标</a>
					<div>
						  浏览器收藏栏方便了我们浏览上网,点击一下就可以打开想要的网页,但是随着日积月累,收藏栏上的网站越来越多,占的很满,既不美观也影响使用,所以我们可以自定义标题宽度. 下面给大家介绍具体步骤. 第一步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWYkmb.html" rel="bookmark" class="title">WP8&period;1 Silverlight应用如何迁移到Win10 UWP</a>
					<div>
						  自Win10发布后,微软一直向开发者宣传UWP通用平台的好处,而现在大多数应用还停留在WP8.1Silverlight阶段,微软现在鼓励开发者将应用迁移到最新的Windows10 UWP,并给出官 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd35oM.html" rel="bookmark" class="title">网络子系统58&lowbar;主地址、辅地址</a>
					<div>
						// 参考 深入理解linux网络技术内幕 // 主地址 // 在NIC上配置ip地址时,如果该地址是子网内的第一个地址时,默认指定为主地址 // 辅地址 // 在NIC上配置ip地址时,如果该地址与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr1loM.html" rel="bookmark" class="title">浅谈MySQL5&period;7 sys schema</a>
					<div>
						  在安装mysql 5.7.9后,进入data目录下我们会明显发现与5.6的不同,没有了test schema,并且,新增了一个sys schema [root@liukaiy data]# pwd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7X0Oz.html" rel="bookmark" class="title">统计分析-C&plus;&plus;如何进行统计分布分析</a>
					<div>
						问题描述 C++如何进行统计分布分析 请问C++有没有寻找数据统计分布的library? 比如对几百个数据进行分析,然后找出最接近的统计分布,Normal/ Exponential/ Gamma/ W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVZeBb.html" rel="bookmark" class="title">红黑树的插入</a>
					<div>
						一.红黑树的介绍 先来看下算法导论对R-B Tree的介绍: 红黑树,一种二叉查找树,但在每个结点上增加一个存储位表示结点的颜色,可以是Red或Black. 通过对任何一条从根到叶子的路径上各个结点着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32QZ3z.html" rel="bookmark" class="title">web service接口 wsdl和asmx有什么区别&lpar;实在没分了。。抱歉&rpar;</a>
					<div>
						问题描述 web service接口 wsdl和asmx有什么区别(实在没分了..抱歉) http://192.168.1.210:8080/law/SearchPort?wsdl和http://lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZO3ab.html" rel="bookmark" class="title">内存分配与内存对齐全面探讨</a>
					<div>
						转自:http://blog.csdn.net/cuibo1123/article/details/2547442 引言 操作系统的内存分配问题与内存对齐问题对于低层程序设计来说是非常重要的,对内存分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkXx8b.html" rel="bookmark" class="title">&lbrack;J2ME&rsqb;Nokia播放音乐时发生MediaException的解决办法</a>
					<div>
						 [J2ME]Nokia播放音乐时发生MediaException的解决办法 现象 在Nokia7610上播放音乐时遇到了-18的MediaException错误! J2ME中播放音乐资源的代码很容易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjP8Bp.html" rel="bookmark" class="title">c&plus;&plus;-请教一个变量取地址的问题</a>
					<div>
						问题描述 请教一个变量取地址的问题 CBitmap qwe; qwe.LoadBitmapW(IDB_BITMAP1); yy[1].brush.CreatePatternBrush(&amp;qwe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKLw3b.html" rel="bookmark" class="title">Caffe2：移动计算的深度学习框架</a>
					<div>
						文章讲的是Caffe2:移动计算的深度学习框架,Caffe2是Facebook新的开源深度学习框架.与之前的PyTorch不同,Caffe2专门用于将深度学习移植到移动应用程序中,这将会让智能手机更& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDlk8z.html" rel="bookmark" class="title">mysql-请各位给我个思路啊？？</a>
					<div>
						问题描述 请各位给我个思路啊?? 我要做一个订单表 里面有id字段 自增 还有个订单编号 orderNumber 订单号的格式要求是&quot;年份后两位+月份+日期 后面顺序补三位&quot; 请问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq78Paz.html" rel="bookmark" class="title">提升推广关键词质量度的技巧</a>
					<div>
						百度竞价在11月份时候做了大的调整后很多行业关键词不能排在左边位.而希望某关键词展现在左侧(尚未在左侧),先查看关键词的质量度.如何让质量度提高, 经过我小脑袋智能 竞价软件小编研究后希望给到广大的中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x1RAb.html" rel="bookmark" class="title">持续集成引擎 Hudson 和 Jenkins 的恩恩怨怨</a>
					<div>
						Hudson 是在2004年的夏天由 Sun 公司开发的(就是开发Java的那家),2005年2月开源并发布了第一个版本. Hudson 发布的时候 CruiseControl 是CI界的老大哥,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodQxXM.html" rel="bookmark" class="title">索尼拟于明年3月发售智能眼镜产品</a>
					<div>
						9月20日消息,据国外媒体报道,由于智能手机业务仍然困难重重,索尼一直在盘算重返盈利的方法.人们不免猜测,这家公司是要同苹果三星在高端市场竞争,还是要尝试吸引那些首次购买智能手机的用户?它的做法可能出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAY8rb.html" rel="bookmark" class="title">flume PollableSource&period;process&lpar;&rpar;是什么工作原理</a>
					<div>
						问题描述 flume PollableSource.process()是什么工作原理 接触flume也有一段时间了,搞不懂PollableSource.process()的工作原理 解决方案 花生壳的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Vr7z.html" rel="bookmark" class="title">SQL SERVER 2000安装教程图文详解&lowbar;MsSql</a>
					<div>
						注意:Windows XP不能装企业版.win2000\win2003服务器安装企业版一.硬件和操作系统要求 下表说明安装 Microsoft SQL Server 2000 或 SQL Server ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkmv9M.html" rel="bookmark" class="title">jQuery学习笔记 操作jQuery对象 属性处理&lowbar;jquery</a>
					<div>
						元素的属性处理 方法 描述 attr(name) attr(name,value) attr(name,fn(index,value)) attr({name1:value1,-,nameN:valu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn81Ljb.html" rel="bookmark" class="title">使用 HA-LVM 实现高可用存储</a>
					<div>
						近年来,有一种趋势是数据中心优先选择商用的硬件和软件而非采用专利的解决方案的商品.他们为什么不能这样做呢?这种做法具有非常低的成本并且可以以更有利的方式来灵活地构建生态系统.唯一的限制是管理员想象的空 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
